
Redmine - Defect #12718

User with role without any worflow right for tracker can create issues

2013-01-03 12:58 - Terence Mill

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

I created a role which has no status checked in worflow (would be enougg not to have the "new" in y-cordinate also) for a tracker.The

user with has only this role in project.

How it works:

The user has the possibility to create a new issue on the tracker he has no right to do such transition.

Expected:

User withou role without the "new" to anywhere worflow transition in notz allowed to create issues. Better would be even if the user

don't has the tracker in issue form dropdown, so you you don't let him fill out the form and then show a error message "forbidden" if

he tries to save the issue.

Maybe the status "nowhere to new" is not mean to be part of the worflow and always possible? This would be inacepptable also.

Why shall i allow any user to create issue on a tracker i only wanna allow special roles to create issues for

Related issues:

Is duplicate of Redmine - Feature #7839: Limit trackers for new issue to cert... Closed 2011-03-11

History

#1 - 2013-01-04 15:10 - Ilya Morkovin

I support the issue. The feature may extend the total Redmine approach to the direction of requirement control tool. including collecting user's

requests directly from users.

It's possible to use specific trackers for users requests only. Other trackers will be available for the team and will be used for task assigining

I think it's a big disadvantage of current Redmine not having this feature

#2 - 2013-01-08 19:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Same as #7839.
